/* Common */
.orange {
    color: #e8662b;
}
.blue {
    color: #428bca;
}
.one-line-overflow {
    max-width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.two-line-overflow {
    display: inline-block;
    max-width: 100%;
    max-height: 33px;
    position: relative;
    padding-right: 7px;
    vertical-align: top;
    overflow: hidden;
    text-overflow: ellipsis;
    word-wrap: break-word;
}
.compare-icon {
    font-size: 13px;
}
.messaging-icon,
.lock-icon,
.lock-icon-close {
    width: 23px;
    height: 23px;
    background-repeat: no-repeat;
    background-size: 22px;
    cursor: pointer;
    margin: 8px 0 0 13px;
}
.messaging-icon {
    width: 24px;
    height: 24px;
    background-image: url(../img/chat.png);
    background-size: 23px;
    margin: 7px 0 10px 13px;
}
.lock-icon {
    background-image: url(../img/lock-open.png);
}
.lock-icon-close {
    background-image: url(../img/lock-close.png);
}

.pdf-icon,
.download-icon,
.email-icon,
.clock-icon,
.add-vac-icon,
.form-icon {
    width: 20px;
    height: 20px;
    background: center center no-repeat;
    background-size: 18px;
    display: inline-block;
    vertical-align: middle;
}
.pdf-icon {
    background-image: url(../img/pdf_icon.png);
}
.download-icon {
    background-image: url(../img/download_icon.png);
}
.email-icon {
    background-image: url(../img/email_icon.png);
}
.clock-icon {
    background-image: url(../img/clock_icon.png);
}
.add-vac-icon {
    background-image: url(../img/add-vac-icon.png);
}
.form-icon {
    background-image: url(../img/doc-form.png);
}

.star-icons {
    margin: 0;
    padding: 0;
    list-style: none;
    display: inline-block;
}
.star-icons li {
    float: left;
    height: 17px;
    width: 17px;
    background-size: 17px;
    background-repeat: no-repeat;
    margin-left: 4px;
}
.star {
    background-image: url('../img/star.png');
}
.star.active {
    background-image: url('../img/star2.png');
}


/* Seafarer Card */
.seafarer {
    position: relative;
    margin-bottom: 20px;
    font-size: 12px;
    font-family: Arial, sans-serif;
}
.seafarer .nav-tabs {
    border-bottom: 0;
}
.seafarer .perfect-scrollbar {
    position: relative;
    overflow: hidden;
}
.seafarer .perfect-scrollbar table tr:nth-child(odd) td {
    background: #eeeeee;
}
.seafarer .tab-content table {
    width: 100%;
}
.seafarer .tab-content table td {
    vertical-align: top;
}
.seafarer-actions {
    position: absolute;
    right: 0;
    top: 0;
    margin: 2px 0 0;
    list-style-type: none;
    font-size: 14px;
    display: none;
}
.seafarer-actions li {
    float: left;
    margin-left: 10px;
}
.seafarer-actions li a {
    display: inline-block;
}
.seafarer:hover .seafarer-actions {
    display: block;
}
.seafarer-menu {
    position: absolute;
    z-index: 3;
    right: 0;
}
.seafarer-menu .btn-compare {
    float: right;
    margin: 7px 4px 6px 0;
}
.seafarer-menu > div {
    float: right;
}
.seafarer-menu .dropdown-toggle {
    width: 38px;
    border: none;
    background-color: #fff;
    margin: 3px 3px 0 3px;
    padding: 6px;
}
.seafarer-menu .dropdown-toggle > hr {
    border: 1px solid #7F7E7F;
}
.seafarer-menu .dropdown-menu {
    left: auto;
    right: 3px;
    top: 39px;
    border-radius: 8px;
    padding: 10px 0;
}
.seafarer-menu .dropdown-menu > li > a {
    padding: 3px 12px;
}
.seafarer-menu .dropdown-menu span:first-child {
    margin-right: 3px;
}
.seafarer-content {
    height: 280px;
    border: 1px solid #C0C0C0;
    border-radius: 0 4px 4px 4px;
}
.seafarer-content .star-icons {
    position: absolute;
    right: 8px;
    top: 8px;
}
.seafarer-content .row {
    margin: 0;
}
.seafarer-content .col-sm-6 {
    padding: 10px;
}
.seafarer-content hr {
    margin: 3px -10px;
    border-top: 1px solid #c0c0c0;
}
.seafarer-content p {
    margin-bottom: 3px;
}
.seafarer-content h6 {
    margin: 5px 0 0;
    font-weight: 700;
}
.seafarer-header {
    position: absolute;
    width: 50%;
    padding: 16px 10px 0 11px;
}
.seafarer-tab-title {
    margin: 2px -10px 7px;
    padding: 0 10px 10px;
    border-bottom: 1px solid #c0c0c0;
    line-height: 15px;
    font-size: 14px;
    font-weight: bold;
}


/* Summary (left) */
.seafarer-summary-left.col-sm-6 {
    padding-top: 52px;
}
.seafarer-photo {
    position: relative;
    border: 1px solid #c0c0c0;
    margin: 3px 15px 10px 0;
}
.seafarer-photo img {
    width: 108px;
    height: 144px;
}

.seafarer-photo .label {
    position: absolute;
    padding: 4px 5px;
    min-width: 88px;
    font-size: 11px;
    text-shadow: 0 1px 1px rgba(0,0,0,.25);
}
.seafarer-photo .label::before {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
}
.seafarer-photo .label-top {
    left: -7px;
    top: -5px;
    border-bottom-left-radius: 0;
}
.seafarer-photo .label-top::before {
    left: 0;
    bottom: -6px;
}
.seafarer-photo .label-top.label-warning::before {
    border: #b35022 3px solid;
    border-left-color: transparent;
    border-bottom-color: transparent;
}
.seafarer-photo .label.label-bottom {
    right: -7px;
    bottom: -5px;
    border-top-right-radius: 0;
}
.seafarer-photo .label-bottom::before {
    right: 0;
    top: -6px;
}
.seafarer-photo .label-bottom.label-primary::before {
    border: #24456e 3px solid;
    border-right-color: transparent;
    border-top-color: transparent;
}
.seafarer-photo .label-bottom.label-danger::before {
    border: #974E48 3px solid;
    border-right-color: transparent;
    border-top-color: transparent;
}

.seafarer-summary-info {
    width: 312px;
    float: left;
}
.seafarer-summary-info td {
    vertical-align: top;
}
.seafarer-summary-info td:empty::before,
.seafarer-summary-info td > *:empty::before,
.seafarer-personaldetails td:empty::before,
.seafarer-personaldetails td > *:empty::before {
    content: 'Not filled';
    color: #cccccc;
    font-weight: normal;
}
.seafarer-summary-info td:first-child {
    width: 36%;
}


/* Summary (right) */
/*.seafarer-summary-right {}*/
.seafarer-summary-right p {
    color: #5c5c5c;
}
.seafarer-summary-experience {
    margin: 7px 0;
    height: 94px;
    overflow: hidden;
}


/* Personal Details */
/*.seafarer-personaldetails {}*/
.seafarer-personaldetails-footer {
    margin-top: 7px;
}
.seafarer-personaldetails-locked {
    position: absolute;
    left: 1px;
    right: 0;
    top: 38px;
    padding: 50px 10px;
    min-height: 100%;
    background: #FFFFFF;
    text-align: center;
}


/* Certificates */
/*.seafarer-certificates {}*/
.seafarer-certificates-header {
    margin: 5px 0 3px;
}
.seafarer-certificates-header td {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-decoration: underline;
}
.seafarer-certificates-header td:nth-child(1),
.seafarer-certificates-content td:nth-child(1) {
    width: 26%;
}
.seafarer-certificates-header td:nth-child(2),
.seafarer-certificates-content td:nth-child(2) {
    width: 17%;
}
.seafarer-certificates-header td:nth-child(3),
.seafarer-certificates-content td:nth-child(3) {
    width: 17%;
}
.seafarer-certificates-header td:nth-child(4),
.seafarer-certificates-content td:nth-child(4) {
    width: 17%;
}


/* Sea Services */
/*.seafarer-seaservices {}*/
.seafarer-seaservices .perfect-scrollbar {
    height: 206px;
}
.seafarer-seaservices-top {
    height: 24px;
    padding-top: 1px;
    width: 72%;
}
.seafarer-seaservices-header {
    margin: 5px 0 3px;
}
.seafarer-seaservices-header td {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-decoration: underline;
}
.seafarer-seaservices-header td:nth-child(2),
.seafarer-seaservices-content td:nth-child(2) {
    width: 16%;
}
.seafarer-seaservices-header td:nth-child(3),
.seafarer-seaservices-content td:nth-child(3) {
    width: 14%;
}
.seafarer-seaservices-header td:nth-child(4),
.seafarer-seaservices-content td:nth-child(4) {
    width: 14%;
}
.seafarer-seaservices-header td:nth-child(5),
.seafarer-seaservices-content td:nth-child(5) {
    width: 19%;
}
.seafarer-seaservices-header td:nth-child(6),
.seafarer-seaservices-content td:nth-child(6) {
    width: 9%;
}
.seafarer-seaservices-header td:nth-child(7),
.seafarer-seaservices-content td:nth-child(7) {
    width: 9%;
}


/* Comments (common) */
.seafarer-add-comment {
    position: absolute;
    z-index: 1;
    right: 11px;
    margin-top: 2px;
    background: #FFFFFF;
    display: none;
}
.seafarer .tab-content:hover .seafarer-add-comment {
    display: block;
}
.seafarer-comment-list {
    position: relative;
    margin-right: -10px;
    padding: 20px 10px 0 0;
    height: 124px;
}
.seafarer-comment-item .glyphicon-remove,
.seafarer-comment-item .glyphicon-pencil {
    margin-left: 4px;
    display: none;
}
.seafarer-comment-item .glyphicon-pencil {
    font-size: 11px;
    top: 0;
}
.seafarer .tab-content:hover .glyphicon-remove,
.seafarer .tab-content:hover .glyphicon-pencil {
    display: inline-block;
}


/* Comments */
.seafarer-comments {}
.seafarer-comments .seafarer-comment-list {
    height: 154px;
}
.seafarer-comment-form {
    position: relative;
    z-index: 2;
    padding: 3px 0 10px;
    background: #FFFFFF;
}
.seafarer-comment-form textarea {
    display: block;
    width: 100%;
    height: 101px;
    line-height: inherit;
    resize: none;
}
.seafarer-comment-form .btn {
    width: 80px;
}
.seafarer-comments-footer {
    padding-top: 5px;
}
.seafarer-comments-footer .col-sm-12,
.seafarer-comments-footer .col-sm-6 {
    padding: 0;
}
.seafarer-comments-footer input {
    width: 140px;
}
.seafarer-comments-footer .controls {
    display: inline-block;
    width: 220px;
}
.seafarer-comments-footer .glyphicon {
    margin-left: 4px;
    font-size: 16px;
}


/* Preview (modal on Profile page) */
.modal-body .seafarer:last-child {
    margin-bottom: 0;
}


/* Mobile */
@media (max-width: 767px) {
    .seafarer .nav-tabs {
        position: absolute;
        right: 0;
        width: 36px;
    }
    .seafarer .nav-tabs > li {
        float: none;
        margin: 0 0 5px 0;
    }
    .seafarer .nav-tabs > li > a {
        position: relative;
        margin: 0;
        padding: 0;
        width: 31px;
        height: 50px;
        border-radius: 0 4px 4px 0;
        background: #fff url(../img/passive-arrow.png) center center no-repeat;
        font-size: 0;
    }
    .seafarer .nav-tabs > li > a:before {
        content: '';
        display: block;
        position: absolute;
        left: 0;
        right: -25px;
        top: 0;
        bottom: 0;
    }
    .seafarer .nav-tabs > li.active > a {
        width: 36px;
        border: 1px solid #C0C0C0;
        border-left: 0;
        background: #fff url(../img/active-arrow.png) center center no-repeat;
    }
    .seafarer-actions {
        right: 132px;
        top: 14px;
        display: block;
        font-size: 17px;
    }
    .seafarer-menu {
        right: 39px;
        margin-top: 5px;
    }
    .seafarer-content {
        height: 309px;
        margin-right: 35px;
        border-radius: 4px 0 4px 4px;
    }
    .seafarer-content hr {
        margin: 3px 0;
    }
    .seafarer-content > .row > .col-sm-6 {
        padding: 5px 15px 0;
    }
    .seafarer-header {
        position: static;
        width: auto;
        padding: 10px 180px 5px 0;
        margin: 0 15px;
        border-bottom: 1px solid #C0C0C0;
    }
    .seafarer-tab-title {
        display: none;
    }
    .seafarer-photo img {
        height: 160px;
        width: 124px;
    }
    .seafarer-summary-info {
        width: 290px;
    }
    .seafarer-personaldetails-locked {
        top: 0;
    }
    .seafarer-certificates .perfect-scrollbar {
        height: 185px;
    }
    .seafarer-seaservices .perfect-scrollbar {
        height: 222px;
    }
    .seafarer-seaservices-header {
        margin-top: 0;
    }
    .seafarer-seaservices-header td:nth-child(4),
    .seafarer-seaservices-content td:nth-child(4) {
        width: 28%;
    }
    .seafarer-seaservices-header td:nth-child(6),
    .seafarer-seaservices-content td:nth-child(6) {
        width: 17%;
    }
    .seafarer-seaservices-header td:nth-child(7),
    .seafarer-seaservices-content td:nth-child(7) {
        width: 17%;
    }
    .seafarer-comments .seafarer-comment-list {
        height: 162px;
    }
    .seafarer-comments-footer input {
        width: 200px;
    }
    .seafarer-comments-footer .controls {
        width: 273px;
    }
    .seafarer-comments-footer .col-xs-4 {
        text-align: right;
    }
    .seafarer-comments-footer .col-sm-6 {
        padding: 5px 0;
    }
    .seafarer-comments-footer .glyphicon {
        margin-left: 14px;
        font-size: 20px;
    }
    .seafarer-add-comment {
        right: 15px;
    }
    .seafarer-comment-form {
        padding-top: 10px;
    }
    .seafarer-comment-form textarea {
        height: 102px;
    }
}

/* Tablet - */
@media (max-width: 992px) {
    .lock-icon,
    .lock-icon-close,
    .messaging-icon {
        width: 20px;
        height: 20px;
        background-size: 19px;
    }
    .lock-icon,
    .lock-icon-close {
        margin: 9px 0 8px 8px;
    }
    .messaging-icon {
        margin: 11px 0 8px 8px;
    }
    .seafarer-menu .dropdown-toggle {
        width: 34px;
        margin-top: 6px;
        margin-left: 0;
    }
    .seafarer-menu .dropdown-toggle > hr {
        margin: 3px;
    }
}

/* Tablet */
@media (min-width: 768px) and (max-width: 992px) {
    .seafarer .perfect-scrollbar,
    .seafarer .tab-content {
        font-size: 11px;
    }
    .seafarer-actions {
        font-size: 16px;
    }
    .seafarer-summary-info {
        width: 202px;
    }
    .seafarer-summary-info td:first-child {
        width: 45%;
    }
    .seafarer-certificates .seafarer-tab-title {
        margin: -6px -10px 4px;
        padding-bottom: 3px;
    }
    .seafarer-certificates-header td:nth-child(1),
    .seafarer-certificates-content td:nth-child(1) {
        width: 25%;
    }
    .seafarer-certificates-header td:nth-child(2),
    .seafarer-certificates-content td:nth-child(2) {
        width: 20%;
    }
    .seafarer-certificates-header td:nth-child(3),
    .seafarer-certificates-content td:nth-child(3) {
        width: 19%;
    }
    .seafarer-certificates-header td:nth-child(4),
    .seafarer-certificates-content td:nth-child(4) {
        width: 19%;
    }
    .seafarer-seaservices-top {
        margin-top: -6px;
        padding-top: 0;
        height: 30px;
        font-size: 11px;
    }
    .seafarer-comments .seafarer-comment-list {
        height: 144px;
    }
    .seafarer-comment-form textarea {
        height: 91px;
    }
    .seafarer-comments-footer input {
        width: 100px;
    }
    .seafarer-comments-footer .controls {
        width: 160px;
    }
}

/* Tablet + */
@media (min-width: 768px) {
    .seafarer-content:before {
        content: '';
        position: absolute;
        top: 30px;
        bottom: 0;
        left: 50%;
        display: block;
        border-left: 1px solid #C0C0C0;
    }
    .seafarer-certificates .perfect-scrollbar {
        height: 168px;
    }
    .seafarer-certificates-header,
    .seafarer-certificates-content {
        font-size: 11px;
    }
    .seafarer-seaservices {
        position: absolute;
        left: -100%;
        right: 0;
        top: 0;
        height: 278px;
        padding: 10px;
        background: #FFFFFF;
        border-radius: 4px;
    }
}

/* Desktop */
@media (min-width: 993px) {
    .seafarer-seaservices-top {
        white-space: nowrap;
    }
}